export const Test = resolve => require(['../components/test/Test.vue'], resolve)
export const Login = resolve => require(['../components/login/Login.vue'], resolve)
export const Index = resolve => require(['../components/index/Index.vue'], resolve)
// export const Default = resolve => require(['../components/index/default/Default.vue'], resolve)

export const LoanRecordList = resolve => require(['../components/loan/LoanRecordList.vue'], resolve)
export const LoanRecordHandlerList = resolve => require(['../components/loan/LoanRecordHandlerList.vue'], resolve)
export const LoanRecordDetail = resolve => require(['../components/loan/LoanRecordDetail.vue'], resolve)
export const LoanRecordHandlerDetail = resolve => require(['../components/loan/LoanRecordHandlerDetail.vue'], resolve)

export const ClientDataUpload = resolve => require(['../components/system/ClientDataUpload.vue'], resolve)
export const BankCardMaintenance = resolve => require(['../components/system/BankCardMaintenance.vue'], resolve)
export const DutyManagement = resolve => require(['../components/user/DutyManagement.vue'], resolve)

export const UserManagement = resolve => require(['../components/user/UserManagement.vue'], resolve)
// service 0715
export const UserQuestion = resolve => require(['../components/user/UserQuestion.vue'], resolve)
export const ByhService = resolve => require(['../components/byh/ByhService.vue'], resolve)
export const ServiceProblem = resolve => require(['../components/byh/ServiceProblem.vue'], resolve)
export const ByhServiceDetail = resolve => require(['../components/byh/ByhServiceDetail.vue'], resolve)
export const ByhApplyMoney = resolve => require(['../components/byh/ByhApplyMoney.vue'], resolve)

export const DownloadExecl = resolve => require(['../components/system/DownloadExecl.vue'], resolve)
export const LendBankCardList = resolve => require(['../components/system/LendBankCardList.vue'], resolve)
export const DutyBizGroupsListDialog = resolve => require(['../components/system/DutyBizGroupsListDialog.vue'], resolve)
export const CustomerDistribution = resolve => require(['../components/system/CustomerDistribution.vue'], resolve)
export const DistributionBatchDialog = resolve => require(['../components/system/DistributionBatchDialog.vue'], resolve)

export const ByhPlanRemindList = resolve => require(['../components/byh/ByhPlanRemindList.vue'], resolve)
export const ByhPlanRemindListNew = resolve => require(['../components/byh/ByhPlanRemindListNew.vue'], resolve)
export const ByhLoanBackedList = resolve => require(['../components/byh/ByhLoanBackedList.vue'], resolve)
export const ByhPlanRemindDetails = resolve => require(['../components/byh/ByhPlanRemindDetails.vue'], resolve)
export const ByhPlanRemindDetailNew = resolve => require(['../components/byh/ByhPlanRemindDetailNew.vue'], resolve)
export const ByhLoanBackedDetails = resolve => require(['../components/byh/ByhLoanBackedDetails.vue'], resolve)
export const ByhLoanCollectList = resolve => require(['../components/byh/collect/ByhLoanCollectList.vue'], resolve)
export const ByhLoanCollectDetails = resolve => require(['../components/byh/collect/ByhLoanCollectDetails.vue'], resolve)

// 财务管理
export const ByhPersonalExport = resolve => require(['../components/byh/finance/ByhPersonalExport.vue'], resolve)
export const ByhManualReview = resolve => require(['../components/byh/finance/ByhManualReview.vue'], resolve)
export const CardBankList = resolve => require(['../components/byh/finance/CardBankList.vue'], resolve)

// 通讯录列表
export const ByhLoanLinkerList = resolve => require(['../components/byh/collect/ByhLoanLinkerList.vue'], resolve)

// 销售批次管理
export const ByhMarket = resolve => require(['../components/byh/ByhMarket.vue'], resolve)
export const ByhSaleCustomer = resolve => require(['../components/byh/ByhSaleCustomer.vue'], resolve)
export const SaleCustomerDetail = resolve => require(['../components/byh/SaleCustomerDetail.vue'], resolve)
// 坐席管理
export const SeatManage = resolve => require(['../components/user/SeatManage.vue'], resolve)
export const PassMoneyMarket = resolve => require(['../components/user/PassMoneyMarket.vue'], resolve)

// 测试通话页面
export const ByhTestCall = resolve => require(['../components/byh/collect/ByhTestCall.vue'], resolve)
// 通话记录查询

export const ByhCallPhonelog = resolve => require(['../components/byh/ByhCallPhonelog.vue'], resolve)
export const ByhSendMoneyFail = resolve => require(['../components/byh/ByhSendMoneyFail.vue'], resolve)
export const ByhPersonalSendMoneyFail = resolve => require(['../components/byh/ByhPersonalSendMoneyFail.vue'], resolve)
export const ByhRemindCaseList = resolve => require(['../components/byh/ByhRemindCaseList.vue'], resolve)
export const RemindMondayData = resolve => require(['../components/byh/analytics/RemindMondayData.vue'], resolve)
export const RemindDayData = resolve => require(['../components/byh/analytics/RemindDayData.vue'], resolve)
// 切换环境配置
export const SettingSystem = resolve => require(['../components/byh/setting/SettingSystem.vue'], resolve)
// 还款列表
export const ByhPagePlanList = resolve => require(['../components/byh/ByhPagePlanList.vue'], resolve)
// 临时放款
export const ByhLoanSnapList = resolve => require(['../components/byh/ByhLoanSnapList.vue'], resolve)
// 借款列表
export const GxdloanList = resolve => require(['../components/byh/GxdloanList.vue'], resolve)

export default {
  Test,
  Login,
  Index,
  // Default,
  UserQuestion,
  ByhService,
  ByhServiceDetail,
  ServiceProblem,
  LoanRecordList,
  LoanRecordHandlerList,
  LoanRecordDetail,
  LoanRecordHandlerDetail,
  ClientDataUpload,
  BankCardMaintenance,
  DutyManagement,
  UserManagement,
  DownloadExecl,
  LendBankCardList,
  DutyBizGroupsListDialog,
  CustomerDistribution,
  DistributionBatchDialog,
  ByhPlanRemindList,
  ByhPlanRemindListNew,
  ByhLoanBackedList,
  ByhPlanRemindDetails,
  ByhPlanRemindDetailNew,
  ByhLoanBackedDetails,
  ByhLoanCollectList,
  ByhLoanCollectDetails,
  // 通讯录列表
  ByhLoanLinkerList,
  ByhApplyMoney,
  // 销售批次管理
  ByhMarket,
  ByhSaleCustomer,
  SaleCustomerDetail,
  ByhTestCall,
  SeatManage,
  PassMoneyMarket,
  ByhCallPhonelog,
  ByhSendMoneyFail,
  ByhRemindCaseList,
  // 提醒月报 日报
  RemindMondayData,
  RemindDayData,
  SettingSystem,
  ByhPersonalSendMoneyFail,
  ByhPersonalExport,
  ByhManualReview,
  ByhPagePlanList,
  // 临时放款
  ByhLoanSnapList,
  GxdloanList,
  CardBankList
}
